<?php

/**
 * Implementation of hook_drush_help().
 */
function pixelperfect_drush_help($section) {
  switch ($section) {
    case 'drush:pixelperfect-enable':
    case 'drush:pixelperfect-disable':
      return dt("Enable or disable the pixelperfect module.");
  }
}

/**
 * Implementation of hook_drush_command().
 */
function pixelperfect_drush_command() {
  $items = array();

  $items['pixelperfect-enable'] = array(
    'description' => 'Enable Pixelperfect.',
    'aliases' => array('pp-en'),
    'bootstrap' => DRUSH_BOOTSTRAP_DATABASE,
  );
  $items['pixelperfect-disable'] = array(
    'description' => 'Disable Pixelperfect.',
    'aliases' => array('pp-dis'),
    'bootstrap' => DRUSH_BOOTSTRAP_DATABASE,
  );

  return $items;
}

function drush_pixelperfect_enable() {
  variable_set('pixelperfect_enabled', 1);
  return TRUE;
}

function drush_pixelperfect_disable() {
  variable_set('pixelperfect_enabled', 0);
  return TRUE;
}
